# The Tax form object

### The Tax form object

```json
{
  "id": "taxform_ONZTcdNbv66OZD",
  "object": "tax.form",
  "corrected_by": null,
  "created": 1691018393,
  "filing_statuses": [
    {
      "effective_at": 1691018393,
      "jurisdiction": {
        "country": "US",
        "level": "country",
        "state": null
      },
      "value": "accepted"
    },
    {
      "effective_at": 1691018393,
      "jurisdiction": {
        "country": "US",
        "level": "state",
        "state": "CA"
      },
      "value": "rejected"
    }
  ],
  "livemode": false,
  "payee": {
    "account": "acct_1032D82eZvKYlo2C",
    "type": "account"
  },
  "type": "us_1099_k",
  "us_1099_k": {
    "reporting_year": 2022
  }
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string, value is "tax.form")
  String representing the object’s type. Objects of the same type share the same value.

- [`au_serr`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=au_serr) (object, nullable)
  If this has a `au_serr` type, this hash contains details about the AU-SERR tax form.

- [`ca_mrdp`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=ca_mrdp) (object, nullable)
  If this has a `ca_mrdp` type, this hash contains details about the CA-MRDP tax form.

- `corrected_by` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The form that corrects this form, if any.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- [`eu_dac7`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=eu_dac7) (object, nullable)
  If this has a `eu_dac7` type, this hash contains details about the EU-DAC7 tax form.

- [`filing_statuses`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=filing_statuses) (array of objects)
  A list of tax filing statuses. Note that a filing status will only be included if the form has been filed directly with the jurisdiction’s tax authority.

- [`gb_mrdp`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=gb_mrdp) (object, nullable)
  If this has a `gb_mrdp` type, this hash contains details about the GB-MRDP tax form.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- [`nz_mrdp`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=nz_mrdp) (object, nullable)
  If this has a `nz_mrdp` type, this hash contains details about the NZ-MRDP tax form.

- [`payee`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=payee) (object)
  The payee whose volume is represented on the tax form.

- `status` (enum)
  Whether the tax form is a mutable draft or a finalized form.
Possible enum values:
  - `draft`
    The form is an unfinalized draft and its values can change.

  - `finalized`
    The form has been finalized.

- `type` (enum)
  The type of the tax form. An additional hash is included on the tax form with a name matching this value. It contains additional information specific to the tax form type.
Possible enum values:
  - `au_serr`
    AU-SERR statements are used to report payment transactions for Australian sellers.

  - `ca_mrdp`
    CA-MRDP statements are used to report payment transactions for Canadian sellers.

  - `eu_dac7`
    EU-DAC7 statements are used to report payment transactions for European sellers.

  - `gb_mrdp`
    GB-MRDP statements are used to report payment transactions for United Kingdom sellers.

  - `nz_mrdp`
    NZ-MRDP statements are used to report payment transactions for New Zealand sellers.

  - `us_1099_k`
    1099-K forms are typically used to report payment transactions.

  - `us_1099_misc`
    1099-MISC forms are typically used to report other forms of compensation.

  - `us_1099_nec`
    1099-NEC forms are typically used to report nonemployee compensation.

- [`us_1099_k`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=us_1099_k) (object, nullable)
  If this has a `us_1099_k` type, this hash contains details about the 1099-K tax form.

- [`us_1099_misc`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=us_1099_misc) (object, nullable)
  If this has a `us_1099_misc` type, this hash contains details about the 1099-MISC tax form.

- [`us_1099_nec`](https://docs.stripe.com/api/tax_reporting/forms/object.md?query=us_1099_nec) (object, nullable)
  If this has a `us_1099_nec` type, this hash contains details about the 1099-NEC tax form.
